Browse Source

Merge "Add CephAnsibleRepo warning to make this validation more flexible" into stable/train

changes/08/744008/6
Zuul 12 months ago
committed by Gerrit Code Review
parent
commit
12a6838ca1
  1. 9
      deployment/ceph-ansible/ceph-base.yaml

9
deployment/ceph-ansible/ceph-base.yaml

@ -302,6 +302,13 @@ parameters:
package. This value can be used by tripleo-validations to double check
the right ceph-ansible version is installed.
default: 'centos-ceph-nautilus'
CephAnsibleWarning:
type: boolean
description: |
In particular scenarios we want this validation to show the warning but
don't fail because the package is installed on the system but repos are
disabled.
default: true
CinderEnableRbdBackend:
default: false
description: Whether to enable or not the Rbd backend for Cinder
@ -649,7 +656,7 @@ outputs:
role: ceph
tasks_from: ceph-ansible-installed
vars:
fail_without_ceph_ansible: true
fail_without_ceph_ansible: {get_param: CephAnsibleWarning}
ceph_ansible_repo: {get_param: CephAnsibleRepo}
tags:
- opendev-validation

Loading…
Cancel
Save